Skip to main content
GET
https://api.aisa.one/apis/v1
/
youtube
/
search
YouTube Search
curl --request GET \
  --url https://api.aisa.one/apis/v1/youtube/search \
  --header 'Authorization: Bearer <token>'
{
  "search_metadata": {
    "id": "<string>",
    "status": "<string>",
    "created_at": "<string>",
    "request_time_taken": 123,
    "parsing_time_taken": 123,
    "total_time_taken": 123,
    "request_url": "<string>",
    "html_url": "<string>",
    "json_url": "<string>"
  },
  "search_parameters": {},
  "search_information": {
    "total_results": 123
  },
  "videos": [
    {
      "position": 123,
      "id": "<string>",
      "title": "<string>",
      "link": "<string>",
      "description": "<string>",
      "thumbnail": "<string>",
      "published_time": "<string>",
      "length": "<string>",
      "views": 123,
      "channel": {},
      "is_live": true,
      "badges": [
        "<string>"
      ]
    }
  ],
  "channels": [
    {
      "position": 123,
      "id": "<string>",
      "title": "<string>",
      "link": "<string>",
      "description": "<string>",
      "thumbnail": "<string>",
      "subscribers": "<string>"
    }
  ],
  "shorts": [
    {
      "position": 123,
      "section_title": "<string>",
      "items": [
        {}
      ]
    }
  ],
  "sections": [
    {
      "position": 123,
      "section_title": "<string>",
      "items": [
        {}
      ]
    }
  ],
  "playlists": [
    {}
  ],
  "ads": [
    {}
  ],
  "pagination": {
    "next_page_token": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

engine
enum<string>
required

SearchApi engine identifier. Use youtube for this YouTube endpoint.

Available options:
youtube
q
string
required

Search query. Required by runtime and upstream SearchApi.

sp
string

YouTube filter token (pagination or advanced filters)

gl
string

Country code (e.g. us, jp)

hl
string

Interface language

Response

Successful YouTube search response

YouTube search result payload returned by SearchApi through the AIsa wrapper.

search_metadata
object
search_parameters
object
search_information
object
videos
object[]
channels
object[]
shorts
object[]
sections
object[]
playlists
object[]
ads
object[]
pagination
object